<?php

use setasign\Fpdi\Fpdi;

require_once APPPATH . "/third_party/fpdf/fpdf.php";
require_once APPPATH . "/third_party/fpdi/src/autoload.php";


function plantilla10($idformato,$pdf)
{
    $CI = &get_instance();
    $CI->load->database();

    $pdf->SetFont('Arial');
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetXY(30, 35);
    $pdf->SetFontSize(8);

    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('10_vehiculos', $where, 1);
    $codigo_10 = $query->row();

    //View tipos Declarante  10. vEHICULOS
    $where = array('idformato' => $idformato);
    $CI->db->select('tipos_declarante.nombre as nombre');
    $CI->db->from('10_vehiculos');
    $CI->db->join('tipos_declarante', '10_vehiculos.titular_vehiculo=tipos_declarante.idtipo');
    $CI->db->where($where);;
    $query = $CI->db->get();
    $view_declarante10 = $query->row();

    //View tipos Relacion  10. 
    $where = array('idformato' => $idformato);
    $CI->db->select('tipos_relacion.nombre as nombre');
    $CI->db->from('10_vehiculos');
    $CI->db->join('tipos_relacion', '10_vehiculos.relacion_transmisor=tipos_relacion.idtipo_relacion');
    $CI->db->where($where);;
    $query = $CI->db->get();
    $view_relacion10 = $query->row();

    $where = array('idformato' => $idformato);
    $query = $CI->db->get_where('formatos', $where, 1);
    $codigo = $query->row();

    //.10 VEHÍCULOS
    // $pdf->setSourceFile('plantillas/Vehiculos_10.pdf');
    // $pdf->AddPage();
    // $tplIdx = $pdf->importPage(1);
    // $pdf->useTemplate($tplIdx, 0, 0);
    if ($codigo_10->ninguno == '1') {
        $logo = SERVIDOR . APP . 'application/images/check2.png';
        $pdf->Image($logo, 197.9, 23.5, 4, 4);
    }

    //SIN CAMBIO--SOLO PARA FORMATO MOD
    if ($codigo_10->ninguno =='2' && $codigo->tipo_formato !=1) {
        $logo = SERVIDOR . APP . 'application/images/check2.png';
        $pdf->Image($logo, 197.7, 17.5, 4, 4);

    }
    if ($codigo->tipo_formato == 3) {

        $pdf->SetFont('Arial', 'B', 9);
        $pdf->SetTextColor(255, 255, 255);
        $pdf->SetFillColor(122, 70, 100);
        $pdf->SetY(22);
        $pdf->SetX(15);
        $pdf->MultiCell(140, 6, utf8_decode('(SITUACIÓN ACTUAL)'), 0, '', true); 
    }
    //AGREGO POR LO MENOS 1
    if ($codigo_10->ninguno == '0') {
        $pdf->SetFont('Arial', 'B', 9);
        $pdf->SetTextColor(255, 255, 255);
        $pdf->SetFillColor(122, 70, 100);
        $pdf->SetY(22);
        $pdf->SetX(176);
        $pdf->MultiCell(27, 6, utf8_decode('NÚMERO # 1'), 0, 0, true);
    } 

    $pdf->SetFont('Arial', '', 8);
    $pdf->SetTextColor(0, 0, 0);
    $pdf->SetY(60);
    $pdf->SetX(53);
    if ($codigo_10->tipo_vehiculo == 'OTRO / ESPECIFIQUE') {
        $pdf->Cell(61, 4, utf8_decode($codigo_10->tipo_vehiculo_esp));
    } else {
        $pdf->Cell(61, 4, utf8_decode($codigo_10->tipo_vehiculo));
    }

    $pdf->Ln(5);
    $pdf->SetX(53);
    if ($view_declarante10 != null) {


        

        if ($view_declarante10 != null) {
            $pdf->Cell(123, 4, utf8_decode($view_declarante10->nombre));
        }

        
    }

    $pdf->Ln(8.5);
    $pdf->SetX(13);
    $pdf->Cell(61, 4, utf8_decode($codigo_10->tercero));
    $pdf->Cell(123, 4, utf8_decode($codigo_10->nombre_tercero));
    $pdf->Ln(10);
    $pdf->SetX(13);
    $pdf->Cell(61, 4, utf8_decode($codigo_10->rfc_tercero));
    $pdf->Cell(62, 4, utf8_decode($codigo_10->forma_adquisicion));
    $pdf->Cell(61, 4, utf8_decode($codigo_10->forma_pago));
    $pdf->Ln(10.5);
    $pdf->SetX(13);
    $pdf->Cell(85, 4, utf8_decode($codigo_10->transmisor));


    if ($codigo_10->relacion_transmisor == '20') {
        $pdf->Cell(99, 4, utf8_decode($codigo_10->relacion_transmisor_esp));
    } else {
        if ($view_relacion10 != null) {
            $pdf->Cell(99, 4, utf8_decode($view_relacion10->nombre));
        }
    }


    $pdf->Ln(10);
    $pdf->SetX(13);
    $pdf->Cell(135, 4, utf8_decode($codigo_10->nombre_transmisor));
    $pdf->Cell(49, 4, utf8_decode($codigo_10->rfc_transmisor));
    $pdf->Ln(10.5);
    $pdf->SetX(13);
    $pdf->Cell(56, 4, utf8_decode($codigo_10->marca));
    $pdf->Cell(56, 4, utf8_decode($codigo_10->modelo));
    $pdf->Cell(24, 4, utf8_decode($codigo_10->anio));
    $pdf->Cell(48, 4, utf8_decode($codigo_10->numero_serie));
    // $pdf->AddPage();
    // $tplIdx = $pdf->importPage(7);
    // $pdf->useTemplate($tplIdx, 0, 0);
    //break
    //case 6:
    $pdf->SetX(106);
    $pdf->SetFont('Arial', 'B', 8);
    if ($codigo_10->mexico_extranjero == 'EN EL EXTRANJERO') {
        $pdf->Text(115, 135, utf8_decode('PAÍS'));
    } else {
        $pdf->Text(115, 135, utf8_decode('ENTIDAD FEDERATIVA'));
    }
    $pdf->SetFont('Arial', '', 8);
    $pdf->SetY(138);
    $pdf->SetX(13);
    $pdf->Cell(62, 4, utf8_decode($codigo_10->mexico_extranjero));
    $pdf->Cell(122, 4, utf8_decode($codigo_10->entidad_federativa_pais));
    $pdf->Ln(10.5);
    $pdf->SetX(13);
    $pdf->Cell(61, 4, utf8_decode($codigo_10->valor_adquisicion));
    $pdf->Cell(66, 4, utf8_decode($codigo_10->tipo_moneda));
    $pdf->Cell(61, 4, utf8_decode($codigo_10->fecha_adquisicion));
    $pdf->Ln(5);
    $pdf->SetX(90);
    //$pdf->Cell(92, 4, utf8_decode($codigo_10->motivo_baja), 1);

    if ($codigo_10->motivo_baja == 'OTRO / ESPECIFIQUE') {
        $pdf->Cell(92, 4, utf8_decode($codigo_10->motivo_baja_esp));
    } else {
        $pdf->Cell(92, 4, utf8_decode($codigo_10->motivo_baja));
    }
    $pdf->SetY(164);
    $pdf->SetX(13);
    $pdf->MultiCell(184, 3.5, utf8_decode($codigo_10->aclaraciones));

}

